# gdcm::IODs Class Reference

Class for representing a IODs. More...

`#include <gdcmIODs.h>`

Collaboration diagram for gdcm::IODs:
[legend]

List of all members.

## Public Types
typedef std::map< std::string, IOD > | IODMapType
## Public Member Functions
| IODs ()
void | AddIOD (const char *name, const IOD &module)
void | Clear ()
const IOD & | GetIOD (const char *name) const
## Friends
std::ostream & | operator<< (std::ostream &_os, const IODs &_val)

## Detailed Description

Class for representing a IODs.

Note:
  bla

See also:
  IOD

## Member Typedef Documentation

typedef std::map<std::string, IOD> gdcm::IODs::IODMapType

## Constructor & Destructor Documentation

gdcm::IODs::IODs | ( |  | ) | `[inline]`

## Member Function Documentation

void gdcm::IODs::AddIOD | ( | const char * | name,
|  | const IOD & | module |
| ) |  |  | `[inline]`

void gdcm::IODs::Clear | ( |  | ) | `[inline]`

const IOD& gdcm::IODs::GetIOD | ( | const char * | name | ) | const`[inline]`

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | _os,
|  | const IODs & | _val |
| ) |  |  | `[friend]`

The documentation for this class was generated from the following file:

- gdcmIODs.h